# Shopper info

The RKFL provides an API to return the logged-in shopper's information to display on the payment page. However, the merchant website already has the shopper information to show on any page, and the RKFL API is optional.

The idea of the shopper's info on the payment page is similar to the below image. Please note the text "Welcome <*shopper first\_name*>"

![](/files/qP0g64YNhqm1vDfD1tlP)

<mark style="color:blue;">`GET`</mark> `/users/me`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + shopper access token |
| Content-Type                                    | String | application/json                |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
  "ok": true,
  "result": {
    "id": "4c93f824-a6e0-41fb-9035-f278116b2945",
    "email": "anuj.r@rocketfuelblockchain.com",
    "username": "Anuj",
    "fullname": "Test Name",
    "avatar": null,
    "profile": {
      "zip": "201301",
      "city": "NDA",
      "phone": "121 212 1211",
      "state": "UP",
      "address": "Address",
      "country": "IN",
      "lastName": "Name",
      "firstName": "Test",
      "dateOfBirth": "06-14-2002",
      "phoneCountry": 91
    },
    "status": 1,
    "type": 0,
    "kybCryptoStatus": 0,
    "kybBankStatus": 0,
    "shopData": {},
    "withdrawalAddresses": [],
    "ssoStatus": false,
    "enableCancelSubscription": false,
    "verification": null,
    "graphSettings": [],
    "is2faEnabled": false,
    "enableBankPayment": true,
    "verificationStatus": null
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/shopper/shopper-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
